Bug 243016 - Review Request: perl-IO-Compress-Bzip2 - IO::Compress interface to bzip2 data
Review Request: perl-IO-Compress-Bzip2 - IO::Compress interface to bzip2 data
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 17:57 EDT by Robin Norwood
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 14:13:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2007-06-06 17:57:28 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/Compression/perl-IO-Compress-Bzip2.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/Compression/perl-IO-Compress-Bzip2-2.004-1.src.rpm
Description: This package is part of a set of compression related perl packages.  They are brought in as dependencies for the new perl-Compress-Zlib (2.004).  There are several other related packages, and I'll include all of the relevant bugzillae when I've filed requests for all of them.
Comment 1 Robin Norwood 2007-06-06 18:10:40 EDT
There are 5 compression-related packages needed for a new Compress::Zlib
(2.004), including this one.  Here are the bugzilla URLs for them:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228537 - perl-IO-Compress-Base
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243010 -
perl-Compress-Raw-Bzip2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243012 - perl-Compress-Raw-Zlib
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243016 - perl-IO-Compress-Bzip2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243019 - perl-IO-Compress-Zlib

Comment 2 Jason Tibbitts 2007-06-09 01:05:27 EDT
Well, crap, I took this and now I can't get to search.cpan.org.  Ahh, but I can
get to cpan.org.  The only thing I can't explicitly test is the Source URL, but
it follows the proper format for search.cpan.org and I have no reason to think
it isn't correct.

Review:
* source files match upstream:
   81fc6711f7525dfdf23cc6dc8e233d99e98aed449476d6ccca6490334806080f  
   IO-Compress-Bzip2-2.004.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(IO::Compress::Adapter::Bzip2) = 2.004
   perl(IO::Compress::Bzip2) = 2.004
   perl(IO::Uncompress::Adapter::Bunzip2) = 2.004
   perl(IO::Uncompress::Bunzip2) = 2.004
   perl-IO-Compress-Bzip2 = 2.004-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Compress::Raw::Bzip2) >= 2.004
   perl(Exporter)
   perl(IO::Compress::Adapter::Bzip2) >= 2.004
   perl(IO::Compress::Base) >= 2.004
   perl(IO::Compress::Base::Common) >= 2.004
   perl(IO::Uncompress::Adapter::Bunzip2) >= 2.004
   perl(IO::Uncompress::Base) >= 2.004
   perl(bytes)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful, 2 subtests skipped.
   Files=14, Tests=8302,  6 wallclock secs ( 4.84 cusr +  0.63 csys =  5.47 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Robin Norwood 2007-06-11 15:11:56 EDT
New Package CVS Request
=======================
Package Name: perl-IO-Compress-Bzip2
Short Description: IO::Compress interface to bzip2 data
Owners: rnorwood@redhat.com
Branches: devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 4 Kevin Fenzi 2007-06-11 19:29:50 EDT
cvs done.
Comment 5 Robin Norwood 2007-06-12 14:13:16 EDT
and built for devel/f8

Note You need to log in before you can comment on or make changes to this bug.